package com.logicbig.example;

import com.logicbig.example.common.PasteFromClipboardHistorySupport;
import javax.swing.*;
import java.awt.*;

public class MultiCopyPasteExampleMain {
    public static void main(String[] args) {
        JTextArea ta = new JTextArea(5, 5);
        JTextField tf = new JTextField();
        JTextPane tp = new JTextPane();
        ta.setText("mark torch even owl young ");
        tf.setText("Money is the root of all money");
        tp.setText("skip atmosphere screw shot grounds X-ray foot extreme confidence");

        PasteFromClipboardHistorySupport copyPasteSupport = new PasteFromClipboardHistorySupport();
        copyPasteSupport.register(ta, tf, tp);

        JSplitPane splitPane = new JSplitPane();
        splitPane.setDividerLocation(300);
        splitPane.setLeftComponent(new JScrollPane(ta));
        splitPane.setRightComponent(new JScrollPane(tp));

        JMenuBar menuBar = new JMenuBar();
        menuBar.add(copyPasteSupport.getEditMenu());

        JFrame frame = createFrame("Paste from clipboard history");
        frame.setJMenuBar(menuBar);

        frame.add(tf, BorderLayout.NORTH);
        frame.add(splitPane);
        frame.setVisible(true);
    }

    public static JFrame createFrame(String title) {
        JFrame frame = new JFrame(title);
        frame.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        frame.setSize(new Dimension(600, 300));
        return frame;
    }
}